Gnome Developers' Information
<<< Previous |  | Next >>>

# GNOME User Interface library.

This chapter is intended to be a reference to the libgnomeui.

# gnome-about - "About..." Widget

## Author(s)

Cesar Miquel <miquel@df.uba.ar>

## Description

A very specialized widget to display "About this program"-like boxes.

## gnome_about_new - Main routine that creates the widget

`GtkWidget *`gnome_about_new``(gchar *`title`, gchar *`version`, gchar *`copyright`, gchar **`authors`, gchar *`comments`, gchar *`logo`);

### Description

Main routine that creates the widget

### Usage

    gchar *authors[] =
    {"author1", "author2",..., NULL};

    GtkWidget *about = gnome_about_new (_ ("GnoApp"), "1.2b",
    				    _ ("Copyright FSF (C) 1998"),
    				    authors,
    				    "Comment line 1\nLine 2",
    				"/usr/local/share/pixmaps/gnoapp-logo.xpm");
    gtk_widget_show (about);

### Parameters

- gchar *`title`

  Name of the application.

- gchar *`version`

  Version.

- gchar *`copyright`

  Copyright notice (one line.)

- gchar **`authors`

  NULL terminated list of authors.

- gchar *`comments`

  Other comments.

- gchar *`logo`

  A logo pixmap file.

<<< Previous | Home | Next >>>
libgnome |  | gnome-actionarea